%%Plotting the performance and robustness for the three different cases

%Case 1, g = exp(-s)/(s+1)
SP=load('POSP1.mat');
PI=load('POPI1.mat');

figure (1)
plot(SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.costFun,PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.costFun,'r')
set(gca,'FontSize',12)
legend('SP','PI')
xlabel('Robustness, $M_s$','interpreter','latex')
ylabel('Performance, $J(c)$','interpreter','latex')
title('g = exp(-s)/(s+1)')
% title('Case 1')

%Case 2, g = exp(-s) pure time delay
% SP=load('POSP2.mat');
% PI=load('POPI2.mat');
% 
% figure (2)
% plot(SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.costFun,PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.costFun,'r')
% set(gca,'FontSize',12)
% legend('SP','PI')
% xlabel('Robustness, $M_s$','interpreter','latex')
% ylabel('Performance, $J(c)$','interpreter','latex')
% title('g = exp(-s)')


%Case 3, g = exp(-s)/(8s+1)
SP=load('POSP3.mat');
PI=load('POPI3.mat');

figure(3)
plot(SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.costFun,PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.costFun,'r')
set(gca,'FontSize',12)
legend('SP','PI')
xlabel('Robustness, $M_s$','interpreter','latex')
ylabel('Performance, $J(c)$','interpreter','latex')
title('g = exp(-s)/(8s+1)')
% title('Case 2')

%% Plotting the tuning parameters

%Case 1, g = exp(-s)/(s+1)

%SP case 1
SP=load('POSP1tun.mat');
figure(4)
plot(SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.iae(:,1),SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.iae(:,2),'r')
set(gca,'FontSize',12)
title('SP, g = exp(-s)/(s+1)')
legend('K_c','K_c/tau_I')
xlabel('Robustness, $M_s$','interpreter','latex')
ylabel('Tuning parameter ($K_c$, $K_c/tau_I$)','interpreter','latex')

%PI case 1
PI=load('POPI1tun.mat');
figure(5)
plot(PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.iae(:,1),PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.iae(:,2),'r')
set(gca,'FontSize',12)
title('PI, g = exp(-s)/(s+1)')
legend('K_c','K_c/tau_I')
xlabel('Robustness, $M_s$','interpreter','latex')
ylabel('Tuning parameter ($K_c$, $K_c/tau_I$)','interpreter','latex')

% %Case 2, g = exp(-s)

% %SP case 2
% SP=load('POSP2tun.mat');
% figure(6)
% plot(SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.iae(:,1),SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.iae(:,2),'r')
% set(gca,'FontSize',12)
% title('SP, g = exp(-s)')
% legend('K_c','K_c/tau_I')
% xlabel('Robustness, $M_s$','interpreter','latex')
% ylabel('Tuning parameter ($K_c$, $K_c/tau_I$)','interpreter','latex')
% 
% %PI case 2
% PI=load('POPI2tun.mat');
% figure(7)
% plot(PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.iae(:,1),PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.iae(:,2),'r')
% set(gca,'FontSize',14)
% title('PI, g = exp(-s)')
% legend('K_c','K_c/tau_I')
% xlabel('Robustness, $M_s$','interpreter','latex')
% ylabel('Tuning parameter ($K_c$, $K_c/tau_I$)','interpreter','latex')

%Case 3, g = exp(-s)/(8s+1)
%SP case 3
SP=load('POSP3tun.mat');
figure(8)
plot(SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.iae(:,1),SP.res.POpid.minTuning.ms,SP.res.POpid.minTuning.iae(:,2),'r')
set(gca,'FontSize',12)
title('SP, g = exp(-s)/(8s+1)')
legend('K_c','K_c/tau_I')
xlabel('Robustness, $M_s$','interpreter','latex')
ylabel('Tuning parameter ($K_c$, $K_c/tau_I$)','interpreter','latex')

%PI case 3
PI=load('POPI3tun.mat');
figure(9)
plot(PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.iae(:,1),PI.res.POpid.minTuning.ms,PI.res.POpid.minTuning.iae(:,2),'r')
set(gca,'FontSize',12)
title('PI, g = exp(-s)/(8s+1)')
legend('K_c','K_c/tau_I')
xlabel('Robustness, $M_s$','interpreter','latex')
ylabel('Tuning parameter ($K_c$, $K_c/tau_I$)','interpreter','latex')


