function res = simcTuningParm(x)
% function that computes the simc tuning parameters for a PID controller
% (series form) from the calculated parrallell form parameters
K = x(1);
I = x(2);
D = x(3);

kc_m = K;
taui_m = kc_m/I;
taud_m = D/kc_m;

taud(1) = -.5*(taui_m + sqrt(taui_m^2 - 4*taui_m*taud_m));
taud(2) = -.5*(taui_m - sqrt(taui_m^2 - 4*taui_m*taud_m));

taui = taui_m - taud;
kc = kc_m./(1+taud./taui);


res = [kc taui taud];
end
