clear all
clc

close all                                                                   %close all the previous generated figures          
warning off                                                                 %ignores warnings in the command window

setpoint=1;                                                                 %setpoint of the process
IAE_SP=zeros(20,1);                                                         %allocation of values in a vector with zeros
IAE_PI=zeros(20,1);                                                         %allocation of values in a vector with zeros

ISE_SP=zeros(20,1);
ISE_PI=zeros(20,1);
%Case 1
% set_param('IAE_ForOptimalTuning/PI Controller','P','1.48','I','0.99')     %case 1, g=exp(-s)/(s+1), SP
% set_param('IAE_ForOptimalTuning/PI Controller1','P','1.99','I','0.93')    %case 1, g=exp(-s)/(s+1), PI
%Case 2
set_param('IAE_ForOptimalTuning/PI Controller','P','1.70','I','0.73')       %case 2, g=exp(-s)/(8s+1), SP
set_param('IAE_ForOptimalTuning/PI Controller1','P','2.83','I','0.39')      %case 2, g=exp(-s)/(8s+1), PI

%%
%Plotting the response for PI and SP
delayv=linspace(0,3,20);                                                    %defines a delay range and number of divisions 
for i=1:20
delay=delayv(i);
    sim('IAE_ForOptimalTuning');                                            %runs the simulink file
figure(i)                                                                   %creates a figure 
plot(time,Ysp,time,Ypi)                                                     %plots Ysp and Ypi vs. time in the figures
set(gca,'FontSize',14)                                                      %increases the font size
legend('SP', 'PI')                                                          %puts legends on the figures
xlabel('time')                                                              %label on the x-axis
ylabel('output')                                                            %label on the y-axis

string_delay=strcat('Real delay: ',num2str(delay));                         %shows the delay on each figure
title(string_delay)                                                         %title on the figure

%Calculating the IAE values
AE_SP=abs(Ysp-setpoint);                                                    %absolute error of SP
IAE_SP(i)=sum(AE_SP);                                                       %integrated absolute error of SP
AE_PI=abs(Ypi-setpoint);                                                    %absolute error of PI
IAE_PI(i)=sum(AE_PI);                                                       %integrated absolute error of PI

%Calculating the ISE values
% SE_SP=(Ysp-setpoint).^2;                                                    %difference between output for SP and setpoint, squared
% ISE_SP(i)=sum(SE_SP);                                                    %calculates the integral squared error for SP
% SE_PI=(Ypi-setpoint).^2;                                                    %difference between output for PI and setpoint, squared
% ISE_PI(i)=sum(SE_PI);                                                    %calculates the integral squared error for PI

hold on

end
%%
%Plotting the IAE values
figure
plot(delayv-1,IAE_PI,delayv-1,IAE_SP)                                       %plots the ISE for SP and PI versus the error in delay
axis([-1 2 9700 10100])
legend('PI','SP')                                                           %legends of the two graphs
xlabel('Delay error')                                                       %x-label on the plot
ylabel('IAE')                                                               %y-label on the plot

%Plotting the ISE values
% figure
% plot(delayv-1,ISE_PI,delayv-1,ISE_SP)
% axis([-1 2 0 10000])
% legend('PI','SP')
% xlabel('Delay error')
% ylabel('ISE')
