clear all
clc

close all                                               %close all the previous generated figures          
warning off                                             %ignores warnings in the command window

delayv=linspace(0,4,10);                                %defines a delay range and number of divisions 
for i=1:10
delay=delayv(i);
    sim('SP_and_PI_withPI');                            %runs the simulink file
figure(i)                                               %creates a figure 
plot(time,Ysp,time,Ypi)                                 %plots Ysp and Ypi vs. time in the figures
set(gca,'FontSize',14)                                  %increases the font size
legend('smithpredictor', 'PI')                          %puts on legends in the figures
xlabel('time')                                          %label on the x-axis
ylabel('output')                                        %label on the y-axis

string_delay=strcat('Real delay: ',num2str(delay));     %shows the delay on each figure
title(string_delay)                                     %title on the figure

hold on

end