clear all
clc

close all                                               %close all the previous figures          
warning off                                             %ignores warnings in the command window

setpoint=1;                                             %setpoint of the process
ISE_SP=zeros(20,1);                                     %allocation of values in a vector with zeros
ISE_PI=zeros(20,1);                                     %allocation of values in a vector with zeros

delayv=linspace(0.0,2.0,20);                            %defines a delay range and number of divisions 
for i=1:20
delay=delayv(i);
    sim('SProb_PIsimc_dist');                           %runs the simulink file
figure(i)                                               %creates a figure 
plot(time,Ysp,time,Ypi)                                 %plots Ysp and Ypi vs. time in the figures
set(gca,'FontSize',14)                                  %increases the font size
legend('smithpredictor', 'PI')                          %puts on legends in the figures
xlabel('time')                                          %puts a label on the x-axis
ylabel('output')                                        %puts a label on the y-axis

string_delay=strcat('Real delay: ',num2str(delay));     %shows the delay on each figure
title(string_delay)                                     %title on the figure

error_SP=(Ysp-setpoint).^2;                             %difference between output for SP and setpoint, squared
ISE_SP(i)=sum(error_SP);                                %calculates the integral squared error for SP

error_PI=(Ypi-setpoint).^2;                             %difference between output for PI and setpoint, squared
ISE_PI(i)=sum(error_PI);                                %calculates the integral squared error for PI

hold on

end

%Plot of the ISE (integral square error)
figure
plot(delayv-1,ISE_PI,delayv-1,ISE_SP)                   %plots the ISE for SP and PI versus the error in delay
axis([-1 1 0 700])                                      %axis limits, are changed when convenient
title('Disturbance rejection')                          %title of the plot
legend('PI SIMC','Robust SP')                           %legends of the two graphs
xlabel('Delay error')                                   %x-label on the plot
ylabel('ISE')                                           %y-label on the plot


